/**
 * \file rvc/linkitem.h
 * \brief RVC::LINKITEM definition
 *
 * \if NODOC
 * $Id: linkitem.h_v 1.1 2006/10/13 21:20:27 mju Exp $
 *
 * $Log: linkitem.h_v $
 * Revision 1.1  2006/10/13 21:20:27  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_RVC_LINKITEM_H
#define	INC_RVC_LINKITEM_H

#ifndef	INC_RVC_OBJTYPE_H
	#include <rvc/objtype.h>
#endif

#ifndef	INC_MI32_FILEPATH_H
	#include <mi32/filepath.h>
#endif

namespace RVC {

struct LINKITEM {
	FILEPATH m_Filename;
	MISTRING m_ObjName;
	OBJTYPE m_ObjType;
	RVCINODENUM m_SrcInode;				//!< The source object that contains the link
	
	LINKITEM (
		) : 
		m_ObjType(OBJTYPE_All),
		m_SrcInode(-1)
		{}
		
	};
	
}		//! End of RVC namespace

#endif	// INC_RVC_LINKITEM_H
